com.sun.source.doctree

## Interface AttributeTree

All Superinterfaces:
  DocTree

    @Exported
    public interface AttributeTree
    extends DocTree

A tree node for an attribute in an HTML element.

Since:
  1.8

### Nested Class Summary

Nested Classes
`static class` `AttributeTree.ValueKind`

### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

`DocTree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Name` `getName()`
`List<? extends DocTree>` `getValue()`
`AttributeTree.ValueKind` `getValueKind()`

### Methods inherited from interface com.sun.source.doctree.DocTree

`accept, getKind`

### Method Detail

#### getName

    Name getName()

#### getValueKind

    AttributeTree.ValueKind getValueKind()

#### getValue

    List<? extends DocTree> getValue()